<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/energy_scan_server.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('df/d7a/energy__scan__server_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">energy_scan_server.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for responding to Energy Scan Requests.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../df/dcb/openthread-core-config_8h_source.html">openthread-core-config.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dd/d28/coap__server_8hpp_source.html">coap/coap_server.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d05/timer_8hpp_source.html">common/timer.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/d02/ip6__address_8hpp_source.html">net/ip6_address.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d0/db7/udp6_8hpp_source.html">net/udp6.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for energy_scan_server.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/deb/energy__scan__server_8hpp__incl.png" border="0" usemap="#src_2core_2thread_2energy__scan__server_8hpp" alt=""/></div>
<map name="src_2core_2thread_2energy__scan__server_8hpp" id="src_2core_2thread_2energy__scan__server_8hpp">
<area shape="rect" id="node2" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="5,459,176,484"/>
<area shape="rect" id="node4" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="1124,619,1260,644"/>
<area shape="rect" id="node8" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="678,92,831,117"/>
<area shape="rect" id="node18" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="756,165,855,191"/>
<area shape="rect" id="node22" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="1009,459,1151,484"/>
<area shape="rect" id="node26" href="../../df/d05/timer_8hpp.html" title="This file includes definitions for the multiplexed timer service. " alt="" coords="1496,459,1627,484"/>
<area shape="rect" id="node3" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="9,532,172,571"/>
<area shape="rect" id="node5" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="957,692,1021,717"/>
<area shape="rect" id="node6" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="711,692,787,717"/>
<area shape="rect" id="node7" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="1123,692,1261,717"/>
<area shape="rect" id="node9" href="../../d1/d8d/coap__header_8hpp.html" title="This file includes definitions for generating and processing CoAP headers. " alt="" coords="504,312,661,337"/>
<area shape="rect" id="node13" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="502,385,658,411"/>
<area shape="rect" id="node11" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="504,539,661,564"/>
<area shape="rect" id="node14" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="402,459,542,484"/>
<area shape="rect" id="node15" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="149,619,312,644"/>
<area shape="rect" id="node16" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="566,459,709,484"/>
<area shape="rect" id="node17" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="787,539,901,564"/>
<area shape="rect" id="node19" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="885,459,984,484"/>
<area shape="rect" id="node20" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="912,239,1055,264"/>
<area shape="rect" id="node23" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="898,312,993,337"/>
<area shape="rect" id="node25" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="936,385,1045,411"/>
<area shape="rect" id="node24" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="1230,539,1370,564"/>
<area shape="rect" id="node27" href="../../d2/d2d/alarm_8h.html" title="This file includes the platform abstraction for the alarm service. " alt="" coords="1589,539,1707,564"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d1b/energy__scan__server_8hpp__dep__incl.png" border="0" usemap="#src_2core_2thread_2energy__scan__server_8hppdep" alt=""/></div>
<map name="src_2core_2thread_2energy__scan__server_8hppdep" id="src_2core_2thread_2energy__scan__server_8hppdep">
<area shape="rect" id="node2" href="../../da/d6e/energy__scan__server_8cpp.html" title="This file implements the Energy Scan Server. " alt="" coords="529,179,684,217"/>
<area shape="rect" id="node3" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="2511,92,2662,131"/>
<area shape="rect" id="node4" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="5,272,157,297"/>
<area shape="rect" id="node5" href="../../d3/dd0/announce__begin__client_8cpp.html" title="This file implements the Announce Begin Client. " alt="" coords="1023,179,1212,217"/>
<area shape="rect" id="node6" href="../../d7/d69/commissioner_8cpp.html" title="This file implements a Commissioner role. " alt="" coords="1236,185,1473,211"/>
<area shape="rect" id="node7" href="../../d2/d47/dtls_8cpp.html" title="This file implements the necessary hooks for mbedTLS. " alt="" coords="1497,185,1673,211"/>
<area shape="rect" id="node8" href="../../dd/d3b/energy__scan__client_8cpp.html" title="This file implements the Energy Scan Client. " alt="" coords="1697,179,1868,217"/>
<area shape="rect" id="node9" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="1892,185,2079,211"/>
<area shape="rect" id="node10" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="2102,179,2265,217"/>
<area shape="rect" id="node11" href="../../d7/d02/leader_8cpp.html" title="This file implements a MeshCoP Leader. " alt="" coords="2289,185,2481,211"/>
<area shape="rect" id="node12" href="../../d5/de7/panid__query__client_8cpp.html" title="This file implements the PAN ID Query Client. " alt="" coords="2505,179,2668,217"/>
<area shape="rect" id="node13" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="758,179,898,217"/>
<area shape="rect" id="node17" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="1176,272,1341,297"/>
<area shape="rect" id="node18" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="1365,265,1517,304"/>
<area shape="rect" id="node22" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="2693,179,2854,217"/>
<area shape="rect" id="node23" href="../../d4/d67/announce__begin__server_8cpp.html" title="This file implements the Announce Begin Server. " alt="" coords="2878,179,3050,217"/>
<area shape="rect" id="node24" href="../../dd/d59/key__manager_8cpp.html" title="This file implements Thread security material generation. " alt="" coords="3074,179,3209,217"/>
<area shape="rect" id="node25" href="../../d6/d2b/lowpan_8cpp.html" title="This file implements 6LoWPAN header compression. " alt="" coords="3233,185,3415,211"/>
<area shape="rect" id="node26" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="3439,179,3585,217"/>
<area shape="rect" id="node27" href="../../df/d42/meshcop__dataset__manager_8cpp.html" title="This file implements MeshCoP Datasets manager to process commands. " alt="" coords="3609,179,3777,217"/>
<area shape="rect" id="node28" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="3801,185,3962,211"/>
<area shape="rect" id="node29" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="3985,179,4121,217"/>
<area shape="rect" id="node30" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="4145,179,4306,217"/>
<area shape="rect" id="node31" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="4329,179,4490,217"/>
<area shape="rect" id="node32" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="4513,179,4674,217"/>
<area shape="rect" id="node33" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="4697,179,4858,217"/>
<area shape="rect" id="node34" href="../../d1/d58/panid__query__server_8cpp.html" title="This file implements the PAN ID Query Server. " alt="" coords="4881,179,5028,217"/>
<area shape="rect" id="node14" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="181,272,278,297"/>
<area shape="rect" id="node15" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="301,272,483,297"/>
<area shape="rect" id="node16" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="507,272,645,297"/>
<area shape="rect" id="node19" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="668,272,819,297"/>
<area shape="rect" id="node20" href="../../d0/d95/ncp__spi_8cpp.html" title="This file implements a SPI interface to the OpenThread stack. " alt="" coords="844,272,983,297"/>
<area shape="rect" id="node21" href="../../d4/dae/ncp__uart_8cpp.html" title="This file contains definitions for a UART based NCP interface to the OpenThread stack. " alt="" coords="1007,272,1152,297"/>
</map>
</div>
</div>
<p><a href="../../df/d7a/energy__scan__server_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d9d/classThread_1_1EnergyScanServer.html">Thread::EnergyScanServer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements handling Energy Scan Requests.  <a href="../../de/d9d/classThread_1_1EnergyScanServer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for responding to Energy Scan Requests. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../df/d7a/energy__scan__server_8hpp.html">energy_scan_server.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
